Bug 1262441

Summary: FTBFS: segmentation fault while running test suite
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: rubyAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 24CC: dan, hhorak, mmorsi, mtasaka, s, tagoh, vanmeeuwen+fedora, vondruch
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 08:13:39 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 467765, 1071880    

Description Karsten Hopp 2015-09-11 12:58:06 EDT
Description of problem:
Finished tests in 572.487132s, 28.0356 tests/s, 5035.2346 assertions/s.
  1) Failure:
TestException#test_machine_stackoverflow_by_define_method [/builddir/build/BUILD/ruby-2.2.3/test/ruby/test_exception.rb:583]:
pid 11407 killed by SIGSEGV (signal 11) (core dumped)
16050 tests, 2882607 assertions, 1 failures, 0 errors, 38 skips
ruby -v: ruby 2.2.3p173 (2015-08-18 revision 51636) [powerpc64le-linux]
uncommon.mk:566: recipe for target 'yes-test-all' failed
make: *** [yes-test-all] Error 1

Version-Release number of selected component (if applicable):
ruby-2.2.3-44.fc24

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f24 ruby-2.2.3-44.fc24.src.rpm
2.
3.
Comment 1 Vít Ondruch 2015-09-11 13:38:57 EDT
That happens randomly:

https://bugs.ruby-lang.org/issues/9739

I should probably report it again ...
Comment 2 Dan Horák 2015-09-11 13:56:47 EDT
Happens also on s390, after few retries there is a successful build.
Comment 3 Jan Kurik 2016-02-24 10:48:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:15:55 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:13:39 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.